camellia.h File Reference

Classes for the Camellia block cipher. More...

Go to the source code of this file.

## Classes

struct | Camellia_Info
| Camellia block cipher information. More...
class | Camellia
| Camellia block cipher. More...

## Typedefs

typedef Camellia::Encryption | CamelliaEncryption
typedef Camellia::Decryption | CamelliaDecryption

## Detailed Description

Classes for the Camellia block cipher.

Definition in file camellia.h.

## Typedef Documentation

## CamelliaEncryption

typedef Camellia::Encryption CamelliaEncryption

Definition at line 44 of file camellia.h.

## CamelliaDecryption

typedef Camellia::Decryption CamelliaDecryption

Definition at line 45 of file camellia.h.